Name:		qiv
Version:	2.3.3
Release:	%mkrel 1
Summary:	Gdk/imlib image viewer
License:	GPLv2+
Group:		Graphics/Viewers
Url:		https://spiegl.de/qiv/
Source0:	https://spiegl.de/qiv/download/%{name}-%{version}.tgz
Patch0:		qiv-2.3.2-optflags.patch
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	libmagic-devel
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libexif)

%description
qiv is a fast image viewer for X based on gdk and imlib.

%prep
%setup -q
%autopatch -p1

# use our ldflags
sed -i -e 's:$(CC) $(CFLAGS):$(CC) $(LDFLAGS) $(CFLAGS):' Makefile

%build
%make_build LDFLAGS="%{ldflags}"

%install
%__mkdir_p %{buildroot}%{_bindir}

#don't change this to %%_mandir, since Makefile is not BM

%__mkdir_p %{buildroot}{%{_bindir},%{_mandir}/man1}
%__perl -pi -e 's!PREFIX\)/man/man1!PREFIX\)/share/man/man1!g' Makefile
DISPLAY="" make PREFIX=%{buildroot}%{_prefix} install
cp contrib/%{name}-command.example %{buildroot}%{_bindir}/%{name}-command

%files
%doc README Changelog README.COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}-command
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Sep 22 2023 tv <tv> 2.3.3-1.mga10
+ Revision: 1989330
- 2.3.3

* Mon Dec 12 2022 ns80 <ns80> 2.3.2-5.mga9
+ Revision: 1921102
- rebuild for new libtiff

* Mon Mar 28 2022 umeabot <umeabot> 2.3.2-4.mga9
+ Revision: 1831016
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.3.2-3.mga8
+ Revision: 1525414
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 daviddavid <daviddavid> 2.3.2-2.mga7
+ Revision: 1391848
- libgeotiff no more needed, replace for libtiff

* Sat Aug 25 2018 daviddavid <daviddavid> 2.3.2-1.mga7
+ Revision: 1254320
- new version: 2.3.2
- fix license
- use our ldflags
+ kekepower <kekepower>
- Update command macros

* Tue Feb 16 2016 umeabot <umeabot> 2.3.1-5.mga6
+ Revision: 962497
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 2.3.1-4.mga6
+ Revision: 893911
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 2.3.1-3.mga5
+ Revision: 743633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.1-2.mga5
+ Revision: 688487
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 2.3.1-1.mga5
+ Revision: 592446
- new version 2.3.1

* Fri Oct 18 2013 umeabot <umeabot> 2.2.4-5.mga4
+ Revision: 517841
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.2.4-4.mga3
+ Revision: 379833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 25 2012 tv <tv> 2.2.4-3.mga3
+ Revision: 309945
- adatp to new groups

* Mon Sep 19 2011 fwang <fwang> 2.2.4-2.mga2
+ Revision: 145373
- rebuild for new libpng

* Thu Jun 09 2011 tv <tv> 2.2.4-1.mga2
+ Revision: 102698
- new release

* Thu Mar 03 2011 jquelin <jquelin> 2.2.3-2.mga1
+ Revision: 62806
- mageia rebuild
- imported package qiv

